Vulnerabilities (CVE)

Filtered by vendor Linuxfoundation Subscribe
Filtered by product Spinnaker
Total 2 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2021-43832 1 Linuxfoundation 1 Spinnaker 2022-01-14 7.5 HIGH 9.8 CRITICAL
Spinnaker is an open source, multi-cloud continuous delivery platform. Spinnaker has improper permissions allowing pipeline creation & execution. This lets an arbitrary user with access to the gate endpoint to create a pipeline and execute it without authentication. If users haven't setup Role-based access control (RBAC) with-in spinnaker, this enables remote execution and access to deploy almost any resources on any account. Patches are available on the latest releases of the supported branches and users are advised to upgrade as soon as possible. Users unable to upgrade should enable RBAC on ALL accounts and applications. This mitigates the ability of a pipeline to affect any accounts. Block application access unless permission are enabled. Users should make sure ALL application creation is restricted via appropriate wildcards.
CVE-2020-9301 1 Linuxfoundation 1 Spinnaker 2020-12-14 6.5 MEDIUM 8.8 HIGH
Nolan Ray from Apple Information Security identified a security vulnerability in Spinnaker, all versions prior to version 1.23.4, 1.22.4 or 1.21.5. The vulnerability exists within the handling of SpEL expressions that allows an attacker to read and write arbitrary files within the orca container via authenticated HTTP POST requests.